import { ProfileRepository } from '@app/domain/profiles/profile.repository';
import { Profile } from '@app/domain/profiles/profile.model';
import { Observable } from 'rxjs';

export class UpdateProfileUseCase {
  constructor(private readonly repo: ProfileRepository) {}

  execute(profileId: string, profile: Partial<Profile>): Observable<Profile> {
    return this.repo.update(profileId, profile as Profile);
  }
}
